TimeType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class TimeType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<Date>
              org.hibernate.type.TimeType

All Implemented Interfaces:
  Serializable, BasicType, LiteralType<Date>, SingleColumnType<Date>, StringRepresentableType<Date>, Type, XmlRepresentableType<Date>

    public class TimeType

extends AbstractSingleColumnStandardBasicType<Date>
implements LiteralType<Date>

A type that maps between `TIME` and `Time`

See Also:
  Serialized Form

Field Summary
`static TimeType` | `INSTANCE`

Constructor Summary
`TimeType()`

Method Summary
`String` | `getName()` Returns the abbreviated name of the type.
`String[]` | `getRegistrationKeys()` Get the names under which this type should be registered in the type registry.
`String` | `objectToSQLString(Date value, Dialect dialect)` Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`nullSafeSet, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType
`assemble, beforeAssemble, compare, deepCopy, deepCopy, defaultSizes, dictatedSizes, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getDefaultSize, getDictatedSize, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, registerUnderJavaType, remapSqlTypeDescriptor, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set, toString`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Field Detail

### INSTANCE

    public static final TimeType INSTANCE

Constructor Detail

### TimeType

    public TimeType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    String the Hibernate type name

### getRegistrationKeys

    public String[] getRegistrationKeys()

  Description copied from interface: `BasicType`
  Get the names under which this type should be registered in the type registry.

  Specified by:
    `getRegistrationKeys` in interface `BasicType`
  Overrides:
    `getRegistrationKeys` in class `AbstractStandardBasicType<Date>`
  Returns:
    The keys under which to register this type.

### objectToSQLString

    public String objectToSQLString(Date value,
                                    Dialect dialect)
                             throws Exception

  Description copied from interface: `LiteralType`
  Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.

  Specified by:
    `objectToSQLString` in interface `LiteralType<Date>`
  Parameters:
    `value` - The value to convert
    `dialect` - The SQL dialect
  Returns:
    The value's string representation
  Throws:
    `Exception` - Indicates an issue converting the value to literal string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.